using Knot.Shared.Kernel;

namespace Knot.Contracts.Profiles.Application.DTOs;

public static class ProfilesErrors
{
    public static Error ProfileNotFound => new("Profiles.NotFound", "Profile not found");
    public static Error UsernameAlreadyExists => new("Profiles.UsernameExists", "Username already exists");
    public static Error AvatarNotFound => new("Profiles.AvatarNotFound", "Avatar not found");
    public static Error InvalidAvatarFormat => new("Profiles.InvalidAvatarFormat", "Invalid avatar format");
    public static Error AvatarUploadFailed => new("Profiles.AvatarUploadFailed", "Avatar upload failed");
}
